package x64

import "io"

// AppendUint32 appends a 32 bit number in Little Endian to the given writer.
func AppendUint32(w io.ByteWriter, number uint32) {
	w.WriteByte(byte(number))
	w.WriteByte(byte(number >> 8))
	w.WriteByte(byte(number >> 16))
	w.WriteByte(byte(number >> 24))
}
